Custom debugger for Android - Manifest merger failed with multiple errors



  • Hi, i try to build a custom debugger for android but get this error. Anyone else with this problem? Thank you

    :processArmv7DebugManifest
    
    See http://g.co/androidstudio/manifest-merger for more information about the manifest merger.
    
    :processArmv7DebugManifest FAILED
    
    BUILD FAILED
    
    Total time: 8.503 secs
    
    
    - postBuild -
    Remove working directories...
    Build Error: Error: Sandbox Exec Error: [ 注意:一部の入力ファイルは非推奨のAPIを使用またはオーバーライドしています。
    注意:詳細は、-Xlint:deprecationオプションを指定して再コンパイルしてください。
    注意:一部の入力ファイルは非推奨のAPIを使用またはオーバーライドしています。
    注意:詳細は、-Xlint:deprecationオプションを指定して再コンパイルしてください。
    /private/tmp/monaca/59e1242be78885bd748b4567/project/platforms/android/AndroidManifest.xml:86:5-91 Error:
        Missing one of the key attributes 'name,glEsVersion' on element uses-feature at AndroidManifest.xml:86:5-91
    /private/tmp/monaca/59e1242be78885bd748b4567/project/platforms/android/AndroidManifest.xml Error:
        Validation failed, exiting
    
    FAILURE: Build failed with an exception.
    
    * What went wrong:
    Execution failed for task ':processArmv7DebugManifest'.
    > Manifest merger failed with multiple errors, see logs
    
    * Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.
    Error: /private/tmp/monaca/59e1242be78885bd748b4567/project/platforms/android/gradlew: Command failed with exit code 1 Error output:
    注意:一部の入力ファイルは非推奨のAPIを使用またはオーバーライドしています。
    注意:詳細は、-Xlint:deprecationオプションを指定して再コンパイルしてください。
    注意:一部の入力ファイルは非推奨のAPIを使用またはオーバーライドしています。
    注意:詳細は、-Xlint:deprecationオプションを指定して再コンパイルしてください。
    /private/tmp/monaca/59e1242be78885bd748b4567/project/platforms/android/AndroidManifest.xml:86:5-91 Error:
        Missing one of the key attributes 'name,glEsVersion' on element uses-feature at AndroidManifest.xml:86:5-91
    /private/tmp/monaca/59e1242be78885bd748b4567/project/platforms/android/AndroidManifest.xml Error:
        Validation failed, exiting
    
    FAILURE: Build failed with an exception.
    
    * What went wrong:
    Execution failed for task ':processArmv7DebugManifest'.
    > Manifest merger failed with multiple errors, see logs
    

  • Monaca

    I checked your project and found that you wrote the config block incorrectly. You wrote:

    <config-file parent="/*" target="AndroidManifest.xml">
           <uses-feature platform="android" name="android.hardware.telephony" required="false"/>
           <uses-feature platform="android" name="glEsVersion" value="0x00020000" required="true" />
    </config-file>
    

    It should be written this way:

    <config-file platform="android" parent="/*" target="AndroidManifest.xml">
            <uses-feature android:name="android.hardware.telephony" android:required="false" />
            <uses-feature android:glEsVersion="0x00020000" android:required="true" />
        </config-file>
    

    Moreover, in order to use the above configuration, you need to add the following attribute within the <widget> tag.
    xmlns:android="http://schemas.android.com/apk/res/android"


Log in to reply